name='protonup-qt'
version='2.11.1'
release='2'
desc='GUI for installing and updating Proton-GE for Steam and Wine-based compatibility tools like Wine-GE for Lutris.\
 Partly based on protonup.'
desc_ru='Графический интерфейс для установки и обновления Proton-GE для Steam и инструментов совместимости на основе\
 Wine, таких как Wine-GE для Lutris. Частично основан на protonup.'
homepage='https://github.com/DavidoTek/ProtonUp-Qt'
maintainer="Евгений Храмов <xpamych@yandex.ru>"
architectures=('amd64')
licenses='GPLv3'
provides=('protonup-qt')
conflicts=('protonup-qt')

deps=(
  'python3-inputs'
  'python3-psutil'
  'python3-requests'
  'python3-setproctitle'
  'python3-steam'
  'python3-vdf'
  'python3-pyxdg'
  'python3-pyaml'
  'qt6-qttools'
)
deps_arch=(
  'pyside6'
  'python-inputs'
  'python-psutil'
  'python-requests'
  'python-setproctitle'
  'python-steam'
  'python-vdf'
  'python-pyxdg'
  'python-pyaml'
  'qt6-tools'
)

build_deps=(
  'python3-build'
  'python3-installer'
  'python3-setuptools'
  'python3-wheel'
)
build_deps_arch=(
  'python-build'
  'python-installer'
  'python-setuptools'
  'python-wheel'
)

opt_deps=(
  'dosbox: требуется для Boxtron'
  'git: требуется для SteamTinkerLaunch'
  'inotify-tools: требуется для Boxtron и Roberta'
  'scummvm: требуется для Roberta'
  'timidity++: требуется для Boxtron'
  'unzip: требуется для SteamTinkerLaunch'
  'wget: требуется для SteamTinkerLaunch'
  'xdotool: требуется для SteamTinkerLaunch'
  'xorg-xprop: требуется для SteamTinkerLaunch'
  'xorg-xrandr: требуется для SteamTinkerLaunch'
  'xorg-xwininfo: требуется для SteamTinkerLaunch'
  'xxd: требуется для SteamTinkerLaunch'
  'yad: требуется для SteamTinkerLaunch'
)
opt_deps_arch=(
  'dosbox: требуется для Boxtron'
  'git: требуется для SteamTinkerLaunch'
  'inotify-tools: требуется для Boxtron и Roberta'
  'scummvm: требуется для Roberta'
  'timidity++: требуется для Boxtron'
  'unzip: требуется для SteamTinkerLaunch'
  'wget: требуется для SteamTinkerLaunch'
  'xdotool: требуется для SteamTinkerLaunch'
  'xorg-xprop: требуется для SteamTinkerLaunch'
  'xorg-xrandr: требуется для SteamTinkerLaunch'
  'xorg-xwininfo: требуется для SteamTinkerLaunch'
  'xxd: требуется для SteamTinkerLaunch'
  'yad: требуется для SteamTinkerLaunch'
)

sources=("https://github.com/DavidoTek/ProtonUp-Qt/archive/refs/tags/v${version}.tar.gz")
checksums=('SKIP')

build() {
	cd "${srcdir}/ProtonUp-Qt-${version}"
	python -m build --wheel --no-isolation
}

prepare() {
	sed -i 's|Exec=net.davidotek.pupgui2|Exec=/usr/bin/protonup-qt|' ${srcdir}/ProtonUp-Qt-${version}/share/applications/net.davidotek.pupgui2.desktop
	}

package() {
	cd "${srcdir}/ProtonUp-Qt-${version}"
	python3 -m installer --destdir="${pkgdir}" dist/*.whl
	cp -r ./share "${pkgdir}/usr/"
	install -Dm755 "${scriptdir}/ProtonUP-qt.sh" "${pkgdir}/usr/bin/${name}"
}
