name='python3-deepdiff'
version='8.4.2'
release='3'
desc='Deep Difference and Search of any Python object/data. Recreate objects by adding adding deltas to each other.'
desk_ru='Глубокое сравнение и поиск любого Python объекта/данных. Восстановление объектов путем добавления дельт к друг другу.'
homepage='https://github.com/seperman/deepdiff'
maintainer='Евгений Храмов <xpamych@yandex.ru>'
architectures=('all')
license=('MIT')
provides=('deepdiff')
conflicts=('deepdiff' 'python3-deepdiff')

deps=("python3")
deps_arch=("python")
deps_alpine=("python3")

build_deps=("python3" "python3-pip")
build_deps_arch=("python" "python-pip")
build_deps_alpine=("python3" "py3-pip")

sources=("https://files.pythonhosted.org/packages/source/d/deepdiff/deepdiff-$version.tar.gz")
checksums=('blake2b-256:7f2f232a9f6d88a59526347cb483ec601d878ad41ab30ee4f2fba4aca1d5a10e')

build() {
  cd "$srcdir/deepdiff-${version}"
  python -m build --wheel --no-isolation
}

package() {
  cd "$srcdir/deepdiff-${version}"
  pip install --root="${pkgdir}/" . --ignore-installed --no-deps --disable-pip-version-check
}

files() {
  echo ./usr/local/bin/deep
  printf '"%s" ' ./usr/local/lib/python3.*/site-packages/deepdiff/**/*
  printf '"%s" ' ./usr/local/lib/python3.*/site-packages/deepdiff-${version}.dist-info/*
}